[![npm version](https://img.shields.io/npm/v/babel-plugin-object-rest-spread.svg)](https://www.npmjs.com/package/babel-plugin-object-rest-spread)
[![development dependencies](https://img.shields.io/david/dev/futagoza/babel-plugin-object-rest-spread.svg)](https://gitlab.com/futagoza/babel-plugin-object-rest-spread)
[![license](https://img.shields.io/badge/license-mit-blue.svg)](https://opensource.org/licenses/MIT)

This is 'transform-object-rest-spread' without the dependency on 'transform-es2015-destructuring'

# table of contents

  * [install](#install)
  * [.babelrc usage](#usage-babelrc)
  * [cli usage](#usage-cli)
  * [api usage](#usage-api)
  * [license](#license)

# <a name="install"></a>install

  ```shell
  npm install --save-dev babel-plugin-object-rest-spread
  ```

# <a name="usage"></a>usage

###### <a name="usage-babelrc"></a>via `.babelrc` (recommended)

  ```json
  // without options
  {
    "plugins": ["babel-plugin-object-rest-spread"]
  }

  // with options
  {
    "plugins": [
      ["babel-plugin-object-rest-spread", {
        "loose": true,
        "extends": true
      }]
    ]
  }
  ```

###### <a name="usage-cli"></a>via cli

  ```shell
  babel --plugins babel-plugin-object-rest-spread script.js
  ```

###### <a name="usage-api"></a>via node api

  ```javascript
  require('babel-core').transform(source, {
    plugins: ['babel-plugin-object-rest-spread']
  })
  ```

# <a name="license"></a>license

Copyright (c) 2016+ Futago-za Ryuu ([gitlab](https://gitlab.com/u/futagoza), [github](https://github.com/futagoza))<br>
The MIT License, [http://opensource.org/licenses/MIT](http://opensource.org/licenses/MIT)
